Skip to Content

POST /rubric/draft

Patch Rubric Draft

Patch rubric draft — composable infra architecture.

Request Body (PatchRubricDraftApiRequest)

FieldTypeRequiredDescription
draft_idstringNoExisting draft UUID to update
input_draft_idstringNoExisting draft UUID to patch
namestringNoName value to create a resource
name_idstringNoExisting name resource UUID
descriptionstringNoDescription value to create a resource
description_idstringNoExisting description resource UUID
flag_idsstring[]NoSelected flag option UUIDs — canonical; server derives semantics by flag type/value
activebooleanNoDenormalized rubric_active flag state
simulation_rubricbooleanNoDenormalized simulation_rubric flag state
video_rubricbooleanNoDenormalized video_rubric flag state
departmentsstring[]NoDepartment names to resolve
department_idsstring[]NoDepartment UUIDs
pass_points_idstringNoPass-type Points resource UUID
pass_pointsintegerNoPass points value (resolves to a pass-type Points resource)
standard_group_idsstring[]NoStandard group UUIDs
standard_groupsRubricStandardGroupDraftValue[]NoInline-created standard groups. Entries without id are created; resulting IDs merge into standard_group_ids.
standard_idsstring[]NoStandard UUIDs
standardsRubricStandardDraftValue[]NoGrid-editor standards. Entries without id are created; resulting IDs merge into standard_ids.
pending_idsstring[]NoResource IDs to keep pending where supported
idempotency_keystringNoOperation key for ack or retry
softbooleanNoStage the draft dormant (active=False) — propose; the ack ({idempotency_key, accept}) promotes/rejects it
acceptbooleanNoAccept or reject dormant state

Response (PatchRubricDraftApiResponse)

FieldTypeRequiredDescription
successbooleanYesWhether the operation succeeded
draft_idstringYesDraft UUID
idempotency_keystringNoIdempotency key for this draft operation
messagestringYesHuman-readable result message
form_stateapp__infra__rubric__types__DraftFormStateNoServer-authoritative form state
Last updated on